CAIRO-DOCK(1)

NAME
cairo-dock - A dock to launch your programs easily.

SYNOPSIS
cairo-dock [options]

DESCRIPTION
Cairo-Dock is a pretty, light and convenient interface to your desktop, able to replace advantageously your system panel!

It features multi-docks, taskbar, launchers and a lot of useful applets.
Applets can be detached from the dock to act as desktop widgets.
Numerous ready-to-use themes are downloadable in 1 click, and can be easily customized at your convenience.
It can use hardware acceleration (OpenGL) to be very fast and low on CPU.

It's recommended to install the PLUG-INS package ( cairo-dock-plug-ins ) to have access to more views, dialogues and many plug-ins and applets.

Some screenshots are available :
        http://pics.glx-dock.org

Development site:
        https://launchpad.net/cairo-dock

OPTIONS
You can launch Cairo-Dock with several options :
(Note : you can use these options in one block. For example : cairo-dock -oia )

-c, --cairo
    Force Cairo backend. Use this option if you have issue with the OpenGL mode.

-o, --opengl
    Force OpenGL backend. Cairo-Dock with OpenGL/Hardware acceleration.

-O, --indirect-opengl
    Use OpenGL backend with indirect rendering. There are very few case where this option should be used.

-A, --ask-backend
    Ask again on startup which backend to use.

-l, --log [option]
    Log verbosity (options : debug, message, warning, critical, error - default is 'warning').
    For example : cairo-dock -l debug

-F, --colors
    Force to display some output messages with colors even if these messages are not displayed into a tty.

-w, --wait
    Wait for N seconds before starting. This is useful if you notice some problems when the dock starts with the session.

-a, --keep-above
    Force to keep the dock above other windows.

-s, --no-sticky
    Don't make the dock appear on all desktops.

-e, --env
    Force the dock to consider this environment (gnome, xfce, etc.) - it may crash the dock if not set properly.

-d, --dir
    Force the dock to load the configuration in this directory (default is ~/.config/cairo-dock).

-m, --maintenance
    Allow to edit the config before the dock is started and show the config panel on startup.

-x, --exclude
    Exclude a given plug-in from activating (it is still loaded though).

-f, --safe-mode
    Don't load any plug-ins and show the theme manager on startup.

-W, --metacity-workaround
    Work around some bugs in Metacity Window-Manager (invisible dialogs or sub-docks)

-M, --modules-dir
    Ask the dock to load additional modules contained in this directory (though it is unsafe for your dock to load unofficial modules).

-T, --testing
    For debugging purpose only. The crash manager will not be started to hunt down the bugs.

-E, --easter-eggs
    For debugging purpose only. Some hidden and still unstable options will be activated.

-S, --server
    Address of a server containing additional themes. This will overwrite the default server address.

-k, --locked
    Lock the dock so that any modification is impossible for users.

OTHER
Some other options with an output in the terminal :

-v, --version
    Print version and quit.

-h, --help
    Show the help and quit.

-C, --capuccino
    Cairo-Dock makes anything, including coffee !

FILES

~/.config/cairo-dock/
    Your config files are saved in this repertory. You can use '-d' option to change it.

/usr/share/cairo-dock/
    Data files for Cairo-Dock.

/usr/lib/cairo-dock/
    Binary files for Cairo-Dock and its plug-ins.

AUTHOR
Most of the Cairo-Dock project was written by Fabrice Rey (fabounet) <fabounet@glx-dock.org>.

The Cairo-Dock Team is currently formed by Fabounet (Fabrice Rey) and Matttbe (Matthieu Baerts).
With the help of Eduardo Mucelli for our third-party applets.

Thanks to our former developers: Mav (Yann Sladek), Tofe (Christophe Chapuis), Nochka85 (Yann Dulieu), ChanGFu (Rémy Robertson), Paradoxxx Zero (Florian Mounier), Necropotame (Adrien Pilleboue), Rom1 (Romain Perol), Ctaf , Augur and SQP as well as numerous beta testers and contributors: lylambda, taiebot65, Franksuse64, ppmt, etc. see the 'About' menu in the dock and this web page.
        http://glx-dock.org/userlist_messages.php

Don't hesitate to contribute to this project ;)
Please have a look at this wiki page:
        http://glx-dock.org/ww_page.php?p=How%20to%20help%20us

This manual page was started by Julien Lavergne <julien.lavergne@gmail.com>, for the Debian project (but may be used by others).
Updated by Matthieu Baerts (matttbe) <matttbe@gmail.com>.

BUGS
Your bug is maybe a recurrent problem (black background, window at startup (use -c or -o), problem with OpenGL, etc.). Please go to:
        http://www.glx-dock.org/ww_page.php?p=Recurrents%20problems

For any other bugs, you can post them on Cairo-Dock forum:
        http://forum.glx-dock.org
or on Launchpad
        https://bugs.launchpad.net/cairo-dock

WEBSITE
< http://glx-dock.org >